#
# spec file for package yast2-x11 (Version 2.13.14)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-data-SuSE desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat expect file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel fribidi fvwm2 gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel giflib glib glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gtk gzip hal hwinfo imlib info insserv klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgpg-error libgssapi libicu libidn libjpeg liblcms liblcms-devel libmng libmng-devel libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libstroke libtiff libtool libusb libxcrypt libxml2 libxslt liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch pcre perl perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline resmgr rpm sax2 sax2-ident sax2-libsax sax2-libsax-perl sax2-tools sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files utempter util-linux vim wireless-tools xdg-menu xli xorg-x11 xorg-x11-devel xorg-x11-libs xorg-x11-server xorg-x11-server-glx xterm yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2-x11
Version:        2.13.14
Release:        0.3
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-x11-2.13.14.tar.bz2
Prefix:         /usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer qt3-devel sgml-skel update-desktop-files yast2 yast2-devtools yast2-perl-bindings yast2-testsuite
%ifnarch s390 s390x
BuildRequires:  sax2-libsax-perl
%endif
Requires:       yast2 sax2-libsax-perl
Provides:       yast2-config-x11 yast2-agent-isax y2a_xf86
Obsoletes:      yast2-config-x11 yast2-agent-isax y2a_xf86
Provides:       yast2-trans-inst-x11 y2t_inst-x11
Obsoletes:      yast2-trans-inst-x11 y2t_inst-x11
Provides:       yast2-agent-isax-devel
Obsoletes:      yast2-agent-isax-devel
ExcludeArch:    s390 s390x
BuildArch:      noarch
Summary:        YaST2 - X Window System Configuration

%description
This module is used for configuring the X Window System from within a
running system. The module is accessible from the YaST2 control center.



Authors:
--------
    Thomas Roelz

%debug_package
%prep
%setup -n yast2-x11-2.13.14

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/modules/*
%dir /usr/share/YaST2/include/x11
/usr/share/YaST2/include/x11/*
/usr/share/YaST2/clients/*.ycp
%{prefix}/share/applications/YaST2/*.desktop
%{prefix}/lib/YaST2/bin/update_xf86config
%{prefix}/lib/YaST2/bin/xmigrate.pl
/usr/share/YaST2/data/monitors.ycp
/usr/share/YaST2/schema/autoyast/rnc/*.rnc
%doc %{prefix}/share/doc/packages/yast2-x11

%changelog
* Tue May 22 2007 - ms@suse.de
- 2.13.14
- fixed x11 setup on Xen para-virtualized framebuffer (#267220)
* Wed May 09 2007 - ms@suse.de
- v2.13.13
- fixed yast2 x11 proposal in case of 8bit framebuffer (#265498)
* Wed Feb 28 2007 - ms@suse.de
- v2.13.12
- better fix for getColorDepth() problem (#247770,#243543)
* Mon Feb 26 2007 - ms@suse.de
- v2.13.11
- fixed getColorDepth() call in XLib.pm (#247770)
* Thu Feb 01 2007 - ms@suse.de
- fixed missing window close functionality in autoyast UI (#241008)
* Mon Jan 08 2007 - ms@suse.de
- added autoyast scheme patch (#224161)
* Thu Aug 10 2006 - lslezak@suse.cz
- Properly detect unainavilable packages (#198250)
- 2.13.8
* Thu Aug 10 2006 - lslezak@suse.cz
- Don't try to install unavailable X11 packages (#198250)
- 2.13.7
* Fri Aug 04 2006 - mvidner@suse.cz
- Removed a Perl search path that is added elsewhere already
  and here just breaks compilation in some cases (#197099).
* Fri May 12 2006 - ms@suse.de
- added package check within the proposal code (#175161)
* Wed Apr 05 2006 - ms@suse.de
- fixed information shown if the DisplaySize is unknown (#163749)
* Tue Mar 28 2006 - ms@suse.de
- add display- / windowmanger setup to AutoinstX11.ycp (#153852)
* Mon Mar 13 2006 - ms@suse.de
- fixed default value for DisplaySize 15' 4/3 (#156462)
* Thu Mar 09 2006 - ms@suse.de
- include proofread message texts
* Sun Feb 26 2006 - ms@suse.de
- included XLib keyboard fixes from Jiří Suchomel
* Wed Feb 22 2006 - ms@suse.de
- fixed DisplaySize table (#152769)
* Mon Feb 20 2006 - ms@suse.de
- fixed BuildRequires (patch from aj@suse.de)
* Fri Feb 10 2006 - ms@suse.de
- fixed text misunderstanding concerning SaX::Dual Head Mode
  and YaST::External VGA (#149229)
* Thu Feb 02 2006 - ms@suse.de
- disabled warn popup, laptop guys don't care on warnings (#147761)
* Thu Feb 02 2006 - ms@suse.de
- changed ranges of display size lookup table
* Mon Jan 23 2006 - ms@suse.de
- fixed spec file
* Mon Jan 23 2006 - ms@suse.de
- fixed test configuration statement (#144437)
- fixed typo in showing an unconfigured monitor model name
- fixed use of undefined value in XLib.pm
* Tue Jan 03 2006 - ms@suse.de
- applied keyboard methods from Jiří Suchomel <jsuchome@suse.cz>
* Wed Dec 28 2005 - ms@suse.de
- fixed build
* Wed Dec 21 2005 - ms@suse.de
- fixed DisplaySize setup when odd traversal sizes are used
- removed agent code from x11 module, libsax does the job
- make yast2-x11 a noarch package, finally
- removed unused scripts from x11 module
* Tue Dec 20 2005 - ro@suse.de
- remove unpackaged symlink
- moved symlink fix to yast2-x11.spec.in
* Mon Dec 19 2005 - ms@suse.de
- added 13.3 and 12.2 to traversal list (#139575)
- update message texts: ~visnov/Export/yast2/proofed-2005-12-19/x11.pot
* Fri Dec 16 2005 - ms@suse.de
- fixed layout of aspect/ratio setup (#139575)
- increased traversal list (#139575)
* Tue Dec 06 2005 - ms@suse.de
- added support for DisplaySize setup during installation (#136330)
* Thu Dec 01 2005 - ms@suse.de
- fixed laptop and driver check to avoid external vga on
  laptops which is not supported by the X driver
* Tue Nov 29 2005 - ms@suse.de
- don't build package for s390 and s390x architectures
* Fri Nov 18 2005 - ms@suse.de
- fixed external VGA activation (#134067)
* Wed Oct 26 2005 - ms@suse.de
- activate external VGA by default on laptops
* Mon Oct 24 2005 - ms@suse.de
- added test link to test the configuration from within the proposal
- added info message if in case of laptop hardware the accelerated
  graphics driver doesn't support external VGA based on MergedFB
* Tue Oct 18 2005 - ms@suse.de
- fixed update_xf86config script to check configuration whether
  /dev/mouse or /dev/psaux is in use. In that case the script will
  change the configuration to use /dev/input/mice and explorerps/2
  This will fix Bug: (#118755)
* Wed Oct 12 2005 - ms@suse.de
- added support for external VGA on laptops
* Thu Sep 29 2005 - ms@suse.de
- fixed resolution setup in autoinst module (#118383)
- fixed hwinfo vbe call in xmigrate.pl
* Fri Aug 26 2005 - ms@suse.de
- fixed writing of status flags to indicate that the configuration
  has been written by the proposal and can be imported by SaX later
  (#99082)
* Wed Aug 24 2005 - ug@suse.de
- compatibility fix for autoyast with new
  libsax
- version to 2.12.6
* Tue Aug 23 2005 - ms@suse.de
- fixed NFB (#106608)
* Wed Aug 17 2005 - ms@suse.de
- fixed message text (#105234)
* Thu Aug 11 2005 - ms@suse.de
- fixed format of monitors.ycp (#104049)
* Tue Aug 09 2005 - ms@suse.de
- fixed typo (#100540)
* Thu Aug 04 2005 - jsrain@suse.cz
- check for existence of sax2-gui before initializing libsax
  (#100204)
- 2.12.5
* Fri Jul 29 2005 - jsrain@suse.cz
- merged texts from proofread
* Thu Jul 28 2005 - ms@suse.de
- update desktop file
* Wed Jul 27 2005 - ms@suse.de
- fixed model sorting
* Mon Jul 18 2005 - ms@suse.de
- added sax2-libsax-perl as requirement
* Thu Jul 14 2005 - ms@suse.de
- added missing environment variable HW_UPDATE=1
* Fri Jul 08 2005 - ms@suse.de
- fixed look&feel of popups within x11_proposal
* Tue Jul 05 2005 - ms@suse.de
- ********** added new libsax x11 module code *************
* Mon Apr 11 2005 - ms@suse.de
- added EnsureTargetInit() before checking for packages (#74608)
* Mon Apr 04 2005 - ms@suse.de
- fixed displaymanager check for GDM (#75703)
* Mon Mar 21 2005 - ms@suse.de
- applied patch from Jiri Srain, fixing use of Pkg module (#73825)
* Wed Mar 02 2005 - ms@suse.de
- fixed occurances of XF86Config instead of xorg.conf (#67089)
* Tue Mar 01 2005 - ms@suse.de
- fixed keyboard driver name, must be "kbd" (#66546)
* Mon Feb 21 2005 - ms@suse.de
- added isax agent again (#66041)
* Wed Feb 16 2005 - nashif@suse.de
- Adapted spec file list
* Wed Feb 16 2005 - nashif@suse.de
- Added more common resolutions for autoyast
* Fri Feb 11 2005 - nashif@suse.de
- Fixed monitor database
* Fri Dec 03 2004 - ms@suse.de
- removed isax and 3ddiag agents which are not used by anybody
- update monitors.ycp with data from the CDB
* Wed Oct 27 2004 - arvin@suse.de
- adapted to new Mode.ycp
* Mon Oct 11 2004 - jsrain@suse.cz
- updated for Arch:: interface change
- 2.11.0
* Thu Sep 23 2004 - nashif@suse.de
- Fixed setting of windowmanager/displaymanager
- Fixed setting monitor device to configured one in monitor dialog
* Mon Sep 13 2004 - nashif@suse.de
- Added schema file
* Mon Sep 13 2004 - nashif@suse.de
- Removed unused variables (height, width, frequency) from autoyast
  map
- In clone mode, read the suggest file if its available and create
  a cloned configuration.
* Tue Aug 31 2004 - ms@suse.de
- include proofread msgid's
* Tue Aug 31 2004 - nashif@suse.de
- use modified flag (#43904)
* Thu Aug 26 2004 - nashif@suse.de
- During autoinstall, run X11 as an additional workflow step
- 2.10.5
* Fri Aug 13 2004 - msvec@suse.cz
- fixed parallel build
- 2.10.4
* Tue Aug 10 2004 - nashif@suse.de
- Export Display settings(frequencies)  correctly
* Thu Aug 05 2004 - jsuchome@suse.cz
- removed live_eval mode (nashif)
* Thu Jul 29 2004 - nashif@suse.de
- Do not show configuration dialog in autoinst mode.
* Tue Jul 27 2004 - nashif@suse.de
- Dont force color depth for LCD/VESA
* Wed Jul 21 2004 - ms@suse.de
- XOrg/XFree86 name clash fixes
* Wed Jul 21 2004 - arvin@suse.de
- added openssl-devel to neededforbuild
* Mon Jun 21 2004 - ms@suse.de
- HEAD development open again, version 2.10
* Tue Apr 27 2004 - ms@suse.de
- use xorg-x11 packages for requiredPacs
* Tue Apr 20 2004 - ms@suse.de
- added singlehead/multihead status flag (#38030)
- fixed return value of proposal if no hardware could be detected
  because of missing requirements (#35367)
* Sat Apr 17 2004 - nashif@suse.de
- #38775: dont configure monitor if x11 is not to be configured
  for autoinstallation
* Wed Apr 07 2004 - ms@suse.de
- added libusb to requiredPacs (#38337)
* Fri Apr 02 2004 - sh@suse.de
- License change to GPL
* Mon Mar 29 2004 - nashif@suse.de
- Import right types from autoyast
- Dont install x11 packages automatically (#37270)
* Thu Mar 25 2004 - nashif@suse.de
- Fixed bug #36895: Module Mode was not imported
* Mon Mar 22 2004 - ms@suse.de
- setupRunlevel() is now only called if X11 will be directly
  disabled using the YaST2 X11 config dialog (#36551)
* Sun Mar 21 2004 - nashif@suse.de
- Dont ask about installing packages in autoinst mode
- Added needed X11 packages to _auto client
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Wed Mar 10 2004 - nashif@suse.de
- Fixed for new wizard
* Wed Mar 10 2004 - kkaempf@suse.de
- fix typing
* Wed Mar 10 2004 - ms@suse.de
- removed very old pacs requirement from Display.ycp
- removed switch2mesasoft call from XProposal
* Sun Mar 07 2004 - kkaempf@suse.de
- fix continue in loop
* Tue Mar 02 2004 - visnov@suse.cz
- added some type info for lists/maps
* Sat Feb 28 2004 - kkaempf@suse.de
- use counted YCodePtr
- x11.y2cc -> x11.desktop in "make dist"
* Mon Feb 16 2004 - ms@suse.de
- additionally check package for current used displaymanager
  refers to Bug: (#33895)
* Mon Feb 16 2004 - ms@suse.de
- Check the current displaymanager setting If it is not set to one
  of the trusted displaymanagers xdm,kdm,gdm2 yast2 x11 will setup
  the displaymanager/windowmanager according to the provided
  packages (#33895)
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Wed Jan 28 2004 - nashif@suse.de
- Added monitor configuration for autoinstallation
- moved monitor db and all monitor dialogs  from autoyast2
* Thu Jan 08 2004 - ms@suse.de
- added standard header according to suggestions from Michal Svec
- import from autoyast sources by Anas Nashif
* Tue Jan 06 2004 - ms@suse.de
- update directory structure
- fixed agent-isax to build with new interpreter
- added x11_auto client (template only)
* Tue Nov 18 2003 - msvec@suse.cz
- migrate to doxygen
- 2.9.0
* Thu Nov 13 2003 - ms@suse.de
- make use of &product; (#31257)
* Wed Oct 22 2003 - ms@suse.de
- fixed bootloader update if lilocode.ycp exist. The current
  code was rather broken (#32476)
* Fri Oct 17 2003 - ms@suse.de
- added setupRunlevel() function to set the appropriate
  runlevel according to the X11 setup (#32366)
* Wed Oct 15 2003 - ms@suse.de
- added Reprobe button
* Fri Sep 19 2003 - ms@suse.de
- removed use of userProfile information for the keyboard.
  This information is detected correctly from SaX2 itself
  according to the installation environment (#31406)
* Fri Sep 19 2003 - ms@suse.de
- fixed package check in x11.ycp (#31185)
* Fri Sep 12 2003 - ms@suse.de
- added removal of reinit flag file in changeConfiguration()
  This will tell the diag.pl sysp script to check 3D with
  3Ddiag-result to display the correct status (#30534)
* Thu Sep 11 2003 - ms@suse.de
- really fixed bug (#26515)
* Mon Sep 08 2003 - msvec@suse.cz
- proof-read texts
- 2.8.5
* Mon Sep 01 2003 - arvin@suse.de
- used Popup::ConfirmAbort
* Thu Aug 28 2003 - ms@suse.de
- removed mesasoft from require list, it was dropped (#29457)
- make use of the Confirm::Detection dialog (#26515)
* Mon Aug 25 2003 - ms@suse.de
- fixed broken lib specification with hwupdate call (#29197)
* Sat Aug 16 2003 - arvin@suse.de
- used Popup module
* Mon Aug 04 2003 - arvin@suse.de
- added desktop files
- fixed build an s390 and s390x
* Wed Jun 25 2003 - arvin@suse.de
- make it build with new checks
* Mon May 19 2003 - ms@suse.de
- fixed bad "no proposal" message (#26918)
* Tue Apr 22 2003 - ms@suse.de
- added migrate script to migrate from XFree86 3.x to 4.x
* Wed Apr 16 2003 - ms@suse.de
- fixed message displayed if XFree86 3.3.6 is used
* Tue Mar 18 2003 - ms@suse.de
- check for Mode::x11_setup_needed too (#25566)
* Thu Mar 13 2003 - ms@suse.de
- fixed displaymanager/windowmanager sysconfig (#25249)
* Wed Mar 05 2003 - ms@suse.de
- moved cfg_displaymanager.scr to yast2 package (#24669)
* Wed Feb 26 2003 - ms@suse.de
- disable use of pre-detected mouse information
- set border width to 0 for install mode because we have
  a windowmanager there now (#24301)
* Thu Feb 20 2003 - ms@suse.de
- changed proposal format to be more use friendly (#23904)
* Mon Feb 03 2003 - ms@suse.de
- fixed bootloader re-configuration according to new
  interface
* Thu Jan 30 2003 - ms@suse.de
- added noborder option used in continue mode to suppress
  the SaX2 main window border
* Wed Jan 29 2003 - ms@suse.de
- add message texts
* Wed Jan 29 2003 - ms@suse.de
- add support for "Arch::x11_setup_needed" used within the
  proposal to skip it on demand
* Tue Jan 28 2003 - ms@suse.de
- fixed ycp coded package requirements for x11 module
  ( needed because of xf86 package renames)
* Mon Jan 27 2003 - ms@suse.de
- removed 3D question, answer all questions with "no" which
  means 3D is always disabled even if it is possible to use 3D (#22418)
* Tue Jan 21 2003 - ms@suse.de
- add 3Ddiag flag file to be created in x11_proposal.ycp
* Fri Nov 29 2002 - ms@suse.de
- fixed usage of XMessages module
- fixed message strings which were not declared as global
  but used as global
* Wed Nov 13 2002 - ms@suse.de
- Adapt error message text if XFree86 version 3 has to be used
* Tue Oct 22 2002 - ms@suse.de
- fixed build
- moved sun module to single directory xsun
- add extra message module XMessages.ycp
- add extra proposal module to be able to have the x11 module
  working as standalone module as well as running it in combination
  with an installation proposal -> XProposal.ycp
- clean dialog code -> x11Dialog.ycp
* Wed Oct 09 2002 - ms@suse.de
- add live_eval check. Do not ask for 3D within live_eval
  environment. Updating packages is not possible there
* Wed Oct 02 2002 - ms@suse.de
- fixed return code used if module has to return
  on fatal exception (use `auto instead of nil)
* Wed Sep 25 2002 - ms@suse.de
- fixed 3D handling in autoinstall mode (#20095)
- fixed sw_single return code handler (#19547)
* Thu Sep 12 2002 - ms@suse.de
- adapt nVidia warning text according to bug (#19365)
* Tue Sep 10 2002 - msvec@suse.cz
- provide/obsolete old translation package
- 2.6.14
* Mon Sep 09 2002 - ms@suse.de
- fixed spec file for s390 build (#19194)
* Fri Aug 30 2002 - ms@suse.de
- fixed update of hwflags
* Fri Aug 30 2002 - ms@suse.de
- add option --yast to xapi call within x11main.ycp (#18262)
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - arvin@suse.de
- X11Version::have_x11 is a function now
* Thu Aug 22 2002 - kkaempf@suse.de
- Adapt to new package manager.
* Thu Aug 15 2002 - jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Tue Aug 13 2002 - arvin@suse.de
- fixed detection of required packages
* Fri Aug 09 2002 - ms@suse.de
- add card driver name to suggestion (#17578)
* Thu Aug 08 2002 - arvin@suse.de
- changes for agent-probe (libhd) changes
* Wed Aug 07 2002 - ms@suse.de
- use functions from lilo/misc.ycp to write GRUB configuration
* Mon Aug 05 2002 - ms@suse.de
- add AutoInstall support
* Wed Jul 31 2002 - ms@suse.de
- lib64 path fixes for x11main. Add get_lib_prefix() function
  to Display.ycp module (#17331)
* Tue Jul 30 2002 - ms@suse.de
- moved helper scripts from the tools to the scripts directory
- add setVGA script used for the GrUB reconfiguration to the source
- add GrUB update to x11main.ycp
- changed hwupdate call in textmode (removed opion --all)
* Mon Jul 29 2002 - arvin@suse.de
- fixed return value in x11.ycp
* Fri Jul 26 2002 - ms@suse.de
- fixed base package list which indicate required packages for the
  YaST2 based configuration (x11.ycp)
* Fri Jul 26 2002 - ms@suse.de
- add basic inst_x11.ycp to installation package (#17203)
- moved X11Version.ycp to installation package
- moved inst_x11.ycp to x11main.ycp
- fixed x11.ycp to call x11main
* Fri Jul 26 2002 - ms@suse.de
- provide have_x11 global variable to X11Version.ycp (#17172)
- make use of X11Version::have_x11 within x11.ycp
* Thu Jul 25 2002 - ms@suse.de
- removed XFree86 3.x code (xserver.ycp link)
- remove hardware.chg file in inst_x11.ycp (concludeConfiguration())
- rewrite Display.ycp
* Mon Jul 22 2002 - ms@suse.de
- add check if card is capable of 3D and change the
  3D status message according to the result of this test
* Thu Jul 18 2002 - ms@suse.de
- fixed inst_x11.ycp to call 3Ddiag-result with the
  option --omit-config
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 - ms@suse.de
- fixed handling of D3Active value
- fixed SaX2 common used box style to be equal to YaST2
* Thu Jul 11 2002 - ms@suse.de
- add 3D information to suggestion
* Wed Jul 10 2002 - ms@suse.de
- update inst_x11.ycp to include new 3D workflow
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Wed Jul 03 2002 - arvin@suse.de
- merged yast2-agent-isax
* Mon Jul 01 2002 - msvec@suse.cz
- renamed to yast2-x11
- 2.6.4
* Wed Jun 19 2002 - ms@suse.de
- add function checkRemoteControl() to be called to setup the
  state of the change button for remote login sessions
* Mon Jun 10 2002 - ms@suse.de
- add new versions of X11 workflow to YaST2 CVS head
  make use of SaX2 modules to build X11 configuration workflow within YaST2
* Tue May 28 2002 - arvin@suse.de
- added libycp-devel to neededforbuild
* Mon May 27 2002 - sh@suse.de
- Added missing files to files list
* Mon Apr 22 2002 - tom@suse.de
- Merge with Tag Patch_80_tom
* Mon Apr 15 2002 - tom@suse.de
- (#15546) Now changing lilo.conf correctly.
* Wed Mar 20 2002 - tom@suse.de
- (#15109) Now running SuSEconfig only for xdm, gdm and kdm3.
* Tue Mar 19 2002 - tom@suse.de
- (#15091) Now restoring saved monitor data in normal mode.
* Mon Feb 18 2002 - tom@suse.de
- Implemented reprobe functionality.
* Mon Feb 11 2002 - tom@suse.de
- (#12400) Now restoring SCRIPT_3D on abortion.
* Mon Feb 11 2002 - tom@suse.de
- new module architecture
* Mon Jan 21 2002 - tom@suse.de
- Migration to devtools and menuentry...y2cc
* Sun Sep 23 2001 - tom@suse.de
- (#11217) invented another special case handling for VMWare.
* Wed Sep 19 2001 - tom@suse.de
- Moved to group "Hardware" now (#10914).
* Tue Sep 18 2001 - tom@suse.de
- (#10873) Now the packages really needed are installed.
* Mon Sep 17 2001 - tom@suse.de
- Corrected Requires: yast2-trans-inst-x11
* Fri Sep 07 2001 - kkaempf@suse.de
- install 3ddiag and xloader if missing.
* Thu Sep 06 2001 - kkaempf@suse.de
- install mesasoft if missing.
* Wed Sep 05 2001 - kkaempf@suse.de
- automatically install missing XFree86 packages.
* Wed Sep 05 2001 - kkaempf@suse.de
- allow first-time X11 configuration during runtime.
  properly detect missing X11 packages.
* Tue Sep 04 2001 - kkaempf@suse.de
- use "import" feature for Arch and Installation.
* Sat Aug 18 2001 - tom@suse.de
- Finished. Now works with new (modified) X11 configuration dialog.
* Fri Jul 27 2001 - tom@suse.de
- first check in, only draft
* Thu Mar 22 2001 - tom@suse.de
- initial version
